package com.example.dtf.models

import androidx.room.*

@Entity(tableName = "user")
data class User(
    @PrimaryKey(autoGenerate = true)
    @ColumnInfo
    val id: Int?,
    @ColumnInfo
    val username: String,
    @ColumnInfo
    val password: String,
    @ColumnInfo
    val isModerator: Boolean
) {
    override fun equals(other: Any?): Boolean {
        if (this === other) return true

        if (javaClass != other?.javaClass) return false

        other as User

        return id == other.id
    }

    override fun hashCode(): Int {
        return id ?: -1
    }
}