package com.example.dtf.models

import androidx.room.*
import java.util.Date

@Entity(tableName = "comment")
data class Comment(
    @PrimaryKey(autoGenerate = true)
    @ColumnInfo
    val id: Int?,
    @ColumnInfo(name = "user_id")
    val userId: Int,
    @ColumnInfo(name = "post_id")
    val postId: Int,
    @ColumnInfo
    val content: String,
    @ColumnInfo
    val date: Date
) {
    override fun equals(other: Any?): Boolean {
        if (this === other) return true

        if (javaClass != other?.javaClass) return false

        other as Comment

        return id == other.id
    }

    override fun hashCode(): Int {
        return id ?: -1
    }
}
